nxt.http.callers

## Class GetDGSPurchaseCountCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetDGSPurchaseCountCall>
  - - nxt.http.callers.GetDGSPurchaseCountCall

-     public class GetDGSPurchaseCountCall
      extends APICall.Builder<GetDGSPurchaseCountCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetDGSPurchaseCountCall` | `buyer(long buyer)`
    `GetDGSPurchaseCountCall` | `buyer(java.lang.String buyer)`
    `GetDGSPurchaseCountCall` | `completed(java.lang.String completed)`
    `static GetDGSPurchaseCountCall` | `create(int chain)`
    `GetDGSPurchaseCountCall` | `requireBlock(java.lang.String requireBlock)`
    `GetDGSPurchaseCountCall` | `requireLastBlock(java.lang.String requireLastBlock)`
    `GetDGSPurchaseCountCall` | `seller(java.lang.String seller)`
    `GetDGSPurchaseCountCall` | `withPublicFeedbacksOnly(java.lang.String withPublicFeedbacksOnly)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, feeNQT, feeRateNQTPerFXT, getBlock, getBlocks, getChain, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, recipient, recipient, remote, secretPhrase, setParamValidation, sharedPiece, sharedPieceAccount, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetDGSPurchaseCountCall create(int chain)

    - #### requireLastBlock

          public GetDGSPurchaseCountCall requireLastBlock(java.lang.String requireLastBlock)

    - #### seller

          public GetDGSPurchaseCountCall seller(java.lang.String seller)

    - #### completed

          public GetDGSPurchaseCountCall completed(java.lang.String completed)

    - #### withPublicFeedbacksOnly

          public GetDGSPurchaseCountCall withPublicFeedbacksOnly(java.lang.String withPublicFeedbacksOnly)

    - #### requireBlock

          public GetDGSPurchaseCountCall requireBlock(java.lang.String requireBlock)

    - #### buyer

          public GetDGSPurchaseCountCall buyer(java.lang.String buyer)

    - #### buyer

          public GetDGSPurchaseCountCall buyer(long buyer)